Skip to main content
`Ctrl`+`K`

# VecCheckOrthonormality

Checks (or prints) the level of (bi-)orthonormality of a set of vectors.

## Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecCheckOrthonormality(Vec V[],PetscInt nv,Vec W[],PetscInt nw,Mat B,PetscViewer viewer,PetscReal *lev)

Collective

## Input Parameters

- V - a set of vectors

- nv - number of V vectors

- W - an alternative set of vectors (optional)

- nw - number of W vectors

- B - Hermitian matrix defining the inner product (optional)

- viewer - optional visualization context

## Output Parameter

- lev - level of orthogonality (optional)

## Notes

This function is equivalent to `VecCheckOrthonormality()`, but in addition it checks that the diagonal of \(W^*V\) (or \(W^*BV\)) is equal to all ones.

## See Also

`VecCheckOrthogonality()`

## Level

developer

## Location

src/sys/vec/vecutil.c

## Examples

src/svd/tutorials/ex53.c
src/svd/tutorials/ex45.c
src/svd/tutorials/ex52.c
src/eps/tutorials/ex47.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages